Bug 240876 - bind crashes on restart and also when running without forwarders
Summary: bind crashes on restart and also when running without forwarders
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind   
(Show other bugs)
Version: 5.0
Hardware: All Linux
high
high
Target Milestone: ---
: ---
Assignee: Adam Tkac
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: dbus-race-condition
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-22 15:39 UTC by Adam Tkac
Modified: 2013-04-30 23:35 UTC (History)
1 user (show)

Fixed In Version: RHSA-2008-0300
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:17:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0300 normal SHIPPED_LIVE Moderate: bind security, bug fix, and enhancement update 2008-05-21 14:17:18 UTC

Description Adam Tkac 2007-05-22 15:39:06 UTC
+++ This bug was initially created as a clone of Bug #235809 +++

Description of problem:
Using bind as a caching nameserver (without chroot) to connect to my ISP and to
RH's intranet (see attached named.conf). I played a little bit with opendns.com,
but now I have forwarders set only to the DNS server of my ISP provider
(ns.ph.ipex.cz).

Suddenly I begun to getting resolutions of everything to 1.0.0.0 -- couple of
times before I suspected some kind of misconfiguration and after couple of
restarts the problem went away. Today, it didn't so I switched off all
forwarding and run 'service named restart'. bind crashed I was able to make bind
working only when:

a) I set up forwarder again (this time just to my ISP DNS server, not OpenDNS)
b) I used 'service named stop; service named start' with 'service named restart'
bind constantly crashes.

Any questions?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

-- Additional comment from mcepl@redhat.com on 2007-04-10 05:52 EST --
Created an attachment (id=152124)
output of grep named /var/log/messages


-- Additional comment from mcepl@redhat.com on 2007-04-10 05:53 EST --
Created an attachment (id=152125)
/etc/named.conf


-- Additional comment from atkac@redhat.com on 2007-04-10 13:18 EST --
Optional schema is this:

When you want use named like caching-only nameserver, please install
caching-nameserver package and work with /etc/named.caching-nameserver.conf &
/etc/named.rfc1912.zones configfiles. If you want use named like local
nameserver, please config your own zones and put your configuration to
/etc/named.conf (for example with system-config-bind utility). This always works
better than "wild" configurations which you write :). But this end of named
(sigsegv) is really bad, so let me check it.

-A-

-- Additional comment from mcepl@redhat.com on 2007-04-11 10:34 EST --
Just for the record -- I DID try system-config-bind and the results were exactly
the same as with my own named.conf (actually, the generated named.conf was the
same, so no surprise here).

-- Additional comment from atkac@redhat.com on 2007-04-27 10:15 EST --
Could be fixed in latest bind.

Regards, -A-

Comment 2 RHEL Product and Program Management 2007-10-16 03:59:18 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 errata-xmlrpc 2008-05-21 14:17:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0300.html



Note You need to log in before you can comment on or make changes to this bug.